<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Types.PlcStruct ID="0">
    <AttributeList>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="None">
    <Member Name="startTime" Datatype="LDT">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="en-US">Time (UTC) the Server was started.</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="currentTime" Datatype="LDT">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="en-US">The current time (UTC) as known by the Server.</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="state" Datatype="DInt">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="en-US">The current state of the Server. (0 = Running)</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="buildInfo" Datatype="&quot;typeBuildInfo&quot;">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="secondsTillShutdown" Datatype="UDInt">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="en-US">Approximate number of seconds until the Server will be shut down. The value is only relevant once the state changes into SHUTDOWN_4.</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="shutdownReason" Datatype="&quot;typeLocalizedText&quot;">
      <AttributeList>
        <BooleanAttribute Name="ExternalAccessible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalVisible" SystemDefined="true">false</BooleanAttribute>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="en-US">An optional localized text indicating the reason for the shutdown. The value is only relevant once the state changes into SHUTDOWN_4.</MultiLanguageText>
      </Comment>
      <Sections>
        <Section Name="None">
          <Member Name="Encoding" Datatype="OPC_UA_LocalizedTextEncodingMask">
            <StartValue>2#00000011</StartValue>
          </Member>
        </Section>
      </Sections>
    </Member>
  </Section>
</Sections></Interface>
      <Name>typeServerStatus</Name>
      <Namespace />
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text>ServerStatus contains elements that describe the status of the Server.</Text>
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="5" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="6" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="7" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="8" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text>typeServerStatus</Text>
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Types.PlcStruct>
</Document>